Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config.entities
Class PackageConfig.Builder

    java.lang.Object
      com.opensymphony.xwork2.config.entities.PackageConfig.Builder

All Implemented Interfaces:
  InterceptorLocator

Enclosing class:
  PackageConfig

    public static class PackageConfig.Builder

extends java.lang.Object
implements InterceptorLocator

The builder for this object. An instance of this object is the only way to construct a new instance. The purpose is to enforce the immutability of the object. The methods are structured in a way to support chaining. After setting any values you need, call the `build()` method to create the object.

Field Summary
`protected PackageConfig` | `target`

Constructor Summary
`PackageConfig.Builder(PackageConfig config)`
`PackageConfig.Builder(java.lang.String name)`

Method Summary
`PackageConfig.Builder` | `addActionConfig(java.lang.String name, ActionConfig action)`
`PackageConfig.Builder` | `addExceptionMappingConfig(ExceptionMappingConfig exceptionMappingConfig)`
`PackageConfig.Builder` | `addGlobalExceptionMappingConfigs(java.util.List<ExceptionMappingConfig> exceptionMappingConfigs)`
`PackageConfig.Builder` | `addGlobalResultConfig(ResultConfig resultConfig)`
`PackageConfig.Builder` | `addGlobalResultConfigs(java.util.Map<java.lang.String,ResultConfig> resultConfigs)`
`PackageConfig.Builder` | `addInterceptorConfig(InterceptorConfig config)`
`PackageConfig.Builder` | `addInterceptorStackConfig(InterceptorStackConfig config)`
`PackageConfig.Builder` | `addParent(PackageConfig parent)`
`PackageConfig.Builder` | `addParents(java.util.List<PackageConfig> parents)`
`PackageConfig.Builder` | `addResultTypeConfig(ResultTypeConfig config)`
`PackageConfig` | `build()`
`PackageConfig.Builder` | `defaultActionRef(java.lang.String name)`
`PackageConfig.Builder` | `defaultClassRef(java.lang.String defaultClassRef)`
`PackageConfig.Builder` | `defaultInterceptorRef(java.lang.String name)`
`PackageConfig.Builder` | `defaultResultType(java.lang.String defaultResultType)` sets the default Result type for this package
`protected void` | `embalmTarget()`
`java.lang.String` | `getDefaultClassRef()`
`java.lang.String` | `getFullDefaultResultType()`
`java.lang.Object` | `getInterceptorConfig(java.lang.String name)` Gets an interceptor configuration object.
`java.lang.String` | `getName()`
`java.lang.String` | `getNamespace()`
`ResultTypeConfig` | `getResultType(java.lang.String type)`
`PackageConfig.Builder` | `isAbstract(boolean isAbstract)`
`boolean` | `isNeedsRefresh()`
`PackageConfig.Builder` | `location(Location loc)`
`PackageConfig.Builder` | `name(java.lang.String name)`
`PackageConfig.Builder` | `namespace(java.lang.String namespace)`
`PackageConfig.Builder` | `needsRefresh(boolean needsRefresh)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### target

    protected PackageConfig target

Constructor Detail

### PackageConfig.Builder

    public PackageConfig.Builder(java.lang.String name)

### PackageConfig.Builder

    public PackageConfig.Builder(PackageConfig config)

Method Detail

### name

    public PackageConfig.Builder name(java.lang.String name)

### isAbstract

    public PackageConfig.Builder isAbstract(boolean isAbstract)

### defaultInterceptorRef

    public PackageConfig.Builder defaultInterceptorRef(java.lang.String name)

### defaultActionRef

    public PackageConfig.Builder defaultActionRef(java.lang.String name)

### defaultClassRef

    public PackageConfig.Builder defaultClassRef(java.lang.String defaultClassRef)

### defaultResultType

    public PackageConfig.Builder defaultResultType(java.lang.String defaultResultType)

  sets the default Result type for this package

  Parameters:
    `defaultResultType` -

### namespace

    public PackageConfig.Builder namespace(java.lang.String namespace)

### needsRefresh

    public PackageConfig.Builder needsRefresh(boolean needsRefresh)

### addActionConfig

    public PackageConfig.Builder addActionConfig(java.lang.String name,
                                                 ActionConfig action)

### addParents

    public PackageConfig.Builder addParents(java.util.List<PackageConfig> parents)

### addGlobalResultConfig

    public PackageConfig.Builder addGlobalResultConfig(ResultConfig resultConfig)

### addGlobalResultConfigs

    public PackageConfig.Builder addGlobalResultConfigs(java.util.Map<java.lang.String,ResultConfig> resultConfigs)

### addExceptionMappingConfig

    public PackageConfig.Builder addExceptionMappingConfig(ExceptionMappingConfig exceptionMappingConfig)

### addGlobalExceptionMappingConfigs

    public PackageConfig.Builder addGlobalExceptionMappingConfigs(java.util.List<ExceptionMappingConfig> exceptionMappingConfigs)

### addInterceptorConfig

    public PackageConfig.Builder addInterceptorConfig(InterceptorConfig config)

### addInterceptorStackConfig

    public PackageConfig.Builder addInterceptorStackConfig(InterceptorStackConfig config)

### addParent

    public PackageConfig.Builder addParent(PackageConfig parent)

### addResultTypeConfig

    public PackageConfig.Builder addResultTypeConfig(ResultTypeConfig config)

### location

    public PackageConfig.Builder location(Location loc)

### isNeedsRefresh

    public boolean isNeedsRefresh()

### getDefaultClassRef

    public java.lang.String getDefaultClassRef()

### getName

    public java.lang.String getName()

### getNamespace

    public java.lang.String getNamespace()

### getFullDefaultResultType

    public java.lang.String getFullDefaultResultType()

### getResultType

    public ResultTypeConfig getResultType(java.lang.String type)

### getInterceptorConfig

    public java.lang.Object getInterceptorConfig(java.lang.String name)

  Description copied from interface: `InterceptorLocator`
  Gets an interceptor configuration object.

  Specified by:
    `getInterceptorConfig` in interface `InterceptorLocator`
  Parameters:
    `name` - The interceptor or interceptor stack name
  Returns:
    Either an `InterceptorConfig` or `InterceptorStackConfig` object

### build

    public PackageConfig build()

### embalmTarget

    protected void embalmTarget()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.